<template>
    <div>
        <TitlePage title="Portfolio"/>
        <section class="formation">
            <div class="container">
                <hr>
                <div class="row d-flex ">
                    <h3 class="col-sm-12 col-xl-12"> Mes formations </h3>
                </div>
                <div class="row d-flex pr-30p">
                    <ul>
                        <li class="col-12" v-for="item in formations" v-bind:key="item.name">
                            <p id="text_presentation" class="text_justify">{{ item.year }}:  {{item.name}} {{item.school}} à {{item.location}}</p>
                        </li>
                    </ul>
                </div>
            </div>
        </section>
        <section class="experience">
            <div class="container">
                <hr>
                <div class="row12 d-flex">
                    <h3> Mes expériences </h3>
                </div>
                <div class="row d-flex pr-30p">
                    <ul>
                        <li class="col-12" v-for="item in experiences" v-bind:key="item.name">
                            <p id="text_presentation" class="text_justify" v-if="item.current == 0"> Du {{ item.date_start | moment("Do MMMM YYYY") }} au  {{ item.date_end | moment("Do MMMM YYYY") }}:  {{item.name}} chez {{item.compagny}} à {{item.location}}</p>
                            <p id="text_presentation" class="text_justify" v-else> Depuis le {{ item.date_start | moment("Do MMMM YYYY") }} :  {{item.name}} chez {{item.compagny}} à {{item.location}}</p>
                        </li>
                    </ul>
                </div>
            </div>
        </section>
        <section class="competence">
            <div class="container">
                <hr>
                <div class="row12 d-flex">
                    <h3> Mes Compétences </h3>
                </div>
                <div class="row text_center d-flex justify-content-center flex-column" style='width: 100%;'>
                    <ul class="d-flex flex-row justify-content-center align-content-center competence-show" style='width: 100%;'>
                        <li class=" col-xl-4 col-lg-4 col-md-4 col-sm-4 col-4" v-for="competence in competences" v-bind:key="competence.name">
                            <img :src="competence.logo" :alt="competence.name " class="competence_img"/>
                        </li>
                    </ul>
                    <div> Retrouvez toutes mes compétences dans mon CV !</div>
                </div>
            </div>
        </section>
        <section class="handpage">
            <div class="container">
                <hr>
                <div class="row12 d-flex justify-content-center align-content-center">
                    <a :href="cv.link" target="_blank"> <p class="btn btn-primary mr10">  Voici mon CV ! </p></a>
                    <button class="btn btn-primary" v-on:click="mesProjets()">  Mes Projets </button>
                </div>
            </div>
        </section>
        <hr>
    </div>
</template>

<script>
export default {
    data(){
        return {
            formations: '',
            experiences:'',
            jobetes:'',
            cv:"",
            competences:[],
            name: 'Arthur Cargnelli',
        }
    },
    created: async function(){
        await this.getFormations();
        await this.getExperiences();
        // this.getJobetes();
        await this.getCompetences();
        await this.getCV();
    },
    methods:{
        shuffle: function(array) {
            var currentIndex = array.length, temporaryValue, randomIndex;

            // While there remain elements to shuffle...
            while (0 !== currentIndex) {

                // Pick a remaining element...
                randomIndex = Math.floor(Math.random() * currentIndex);
                currentIndex -= 1;

                // And swap it with the current element.
                temporaryValue = array[currentIndex];
                array[currentIndex] = array[randomIndex];
                array[randomIndex] = temporaryValue;
            }

            return array;
        },
        getFormations : function(){
            var vue = this;
            vue.$axios({
                method: 'GET',
                url: '/portfolio/formations',
                dataType:'JSON',}).then(response => {vue.formations = response.data})
        },
        getExperiences : function(){
            var vue = this;
            vue.$axios({
                method: 'GET',
                url: '/portfolio/experiences',
                dataType:'JSON',}).then(response => {vue.experiences = response.data})
        },
        getCompetences : function(){
            var vue = this;
            vue.$axios({
                method: 'GET',
                url: '/portfolio/competences',
                dataType:'JSON',}).then(response => {
                    const tmp = this.shuffle(response.data)
                    vue.competences = []
                    vue.competences.push(tmp[0])
                    vue.competences.push(tmp[1])
                    vue.competences.push(tmp[2])
                    })
        },
        getCV : function(){
            var vue = this;
            vue.$axios({
                method: 'GET',
                url: '/portfolio/CV',
                dataType:'JSON',}).then(response => {vue.cv = response.data})
        },
        mesProjets:function(){
            return this.$router.push({name:'projets'})
        }
    },
}
</script>
